refundAsk AIpost https://sandbox.evonetonline.com/payment/{merchantTransID of payment}/refundPath ParamsmerchantTransID of paymentstringrequiredBody ParamsmerchantTransInfoobjectrequiredThis is the information for merchant to identify this TransactionUsage InstructionFor each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, a new and unique merchantTranInfo shall be assigned for the transactionmerchantTransInfo objecttransAmountobjectrequiredThis is used to define the amount for the transaction Usage Instruction Used in POST Payment request, to send the payment transaction amount Used in POST Capture request, to send the capture amount Used in POST Refund request, to send the refund transaction amount Used within object payment, capture or refund in response or notification from Evonet, to specify the corresponding amount of the objects. Used in POST PaymentMethod, to indicate Currency for this transaction when the store is assigned multiple Currencies in Evonet. If the store is not assigned multiple Currencies, this object will be ignored. transAmount objectwebhookstringlength ≤ 300This filed is used for merchant to provide asynchronous notification endpoint Usage Instruction Merchant may provide this information in the request message, once it is processed successfully, Evonet notification to this endpoint The format of the webhook must contain http:// or htps:// Field Type: String(300) initiatingReasonstringlength ≤ 64This field is used for merchant to state the reason to initiate the transaction Usage Instruction It is suggested to send this field in the process of DELETE PaymentMethod, POST Capture, POST Cancel, and POST Refund For DELETE PaymentMethod request, if merchant needs to remove WeChat Pay token, this field must be presented. Field Type: String(64) metadatastringlength ≤ 512This field is used for merchant to state reference information- Usage Instruction1. If merchant sends this field in the request message, Evonet will echo it back in the response 2. Field Type: String(512)HeadersAuthorizationstringrequiredSign key assigned by EvonetContent-typestringrequiredSpecify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.DateTimestringrequiredThe time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.KeyIDstringrequiredKeyID is a unique key identifier of up to 36 characters that is generated along with the signature key by EvonetMsgIDstringAn ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. Evonet will not validate this value and will echo it back in the response message.SignTypestringrequiredFixed value: Key-basedIdempotency-Keystringlength ≤ 64Request idempotent identity, no more than 64 characters.Response 200Updated 5 months ago